<?php $pageTitle='Shipment destination: '.$data['name'];
include realpath(__DIR__).'/../../core/_common/header.php'; 
$sharedProject=project::getByName(project::SHARED);
$sharedProjectId=$sharedProject['id'];
$shipmentHandlers=shipmentdestination::getHandlerScriptNames();
?>
<script type="text/javascript">

document.observe("dom:loaded",function(){
	var grid=ui.grid();
	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});

	var frm=detailsBox.form({
		action:'/api/shipmentdestination/'+data['id'],
		method:'post',
	});
	frm.hiddenField('projectid',<?php echo $sharedProjectId; ?>);
	frm.textField({ label:"Name", name:'name' });
	frm.dropdown({ label:"Shipment handler", name:"shipmenthandler", 
		options:[
			<?php 
			     $parts=array();
			     foreach($shipmentHandlers as $h){
			         $parts[]='{ "value":"'.$h.'","label":"'.$h.'" }';
			     } 
			     echo implode(', ', $parts);
			?>
		],
		value:data.shipmenthandler
	});
	frm.textField({ label:"Base URI", name:'baseuri' });

	var ts=grid.tabSet({ classes:'r1 c2 w2 h3' });
	ts.tab({
		'label':'Shipments',
		'url':'/api/shipmentdestination/'+data.id+'/shipment',
		'sortby':'dateshipped',
		'headers':['Name'],
		'cellTemplates':['<a href="/shipment/{{id}}">{{name}}</a>']
	});
	
	ts.filesTab();
	ts.notesTab();
		
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php'; ?>